This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 498266 - sendmail dies on resume from hibernate.
sendmail dies on resume from hibernate.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 12:52 EDT by Orion Poplawski
Modified: 2009-12-18 04:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-04-29 12:52:11 EDT
Description of problem:

/etc/NetworkManager/dispatcher.d/10-sendmail does a "service sendmail reload" on network status change.  This happens on resume from hibernate, but it appears to result in sendmail dying.  Last messages in /var/log/sendmail are:

Apr 29 08:06:05 orca sendmail[22644]: restarting /usr/sbin/sendmail due to signal
Apr 29 08:06:05 orca sm-msp-queue[22653]: restarting /usr/sbin/sendmail due to signal

but no sendmail processes are running.

Version-Release number of selected component (if applicable):
sendmail-8.14.3-3.fc10.i386

How reproducible:
everytime
Comment 1 Miroslav Lichvar 2009-04-29 13:20:50 EDT
Does this happen when reloaded manually? Any segfaults reported in /var/log/messages?
Comment 2 Orion Poplawski 2009-04-29 13:29:33 EDT
I can restart fine manually.  No segfaults in /var/log/messages.  Must be something about the environment just after resume.
Comment 3 Orion Poplawski 2009-05-26 17:24:59 EDT
Running sendmail under strace -f leads me to believe the problem may be the arrival of two SIGHUP signals - one as the machine is hibernating and the other as the machine is waking up.  The first reload doesn't complete before the system is down, and the second one occurs before the proper SIGHUP handler is installed and the process is killed.

Removing /etc/NetworkManager/dispatcher.d/10-sendmail certainly stops the problem from occurring.  Not sure of the best solution.
Comment 4 Miroslav Lichvar 2009-05-27 01:20:50 EDT
Does it work when "|| [ "$2" = "down" ]" is removed from the dispatcher script?
Comment 5 Orion Poplawski 2009-05-27 10:53:20 EDT
(In reply to comment #4)
> Does it work when "|| [ "$2" = "down" ]" is removed from the dispatcher script?  

That seems to work fine.
Comment 6 Miroslav Lichvar 2009-08-04 10:10:14 EDT
I was able to reproduce it by running pkill -HUP sendmail in a loop, but still didn't see it in a normal operation.

Do you have a large table or anything that would significantly differ from default configuration?
Comment 7 Bug Zapper 2009-11-18 06:52:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:22:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.